Get subreddit rules
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.reddit.com/r/reddit/about/rules/",
"url": "https://www.reddit.com/r/reddit/about/rules/",
"totalItems": 4,
"orderedItems": [
{
"type": "Document",
"name": "Remember the human.",
"entityId": "Remember the human.",
"content": "Be respectful of others and check your insults at the door. Don’t attack or call out other people or communities, and assume good faith of those participating here… even when tempers are high."
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}Subreddits
Get subreddit rules
Returns structured community rules for a subreddit.
GET
/
v1
/
reddit
/
subreddits
/
{subreddit}
/
rules
Get subreddit rules
curl --request GET \
--url https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.konbiniapi.com/v1/reddit/subreddits/{subreddit}/rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": {
"@context": [
"https://www.w3.org/ns/activitystreams#",
"https://konbiniapi.com/ns/social#"
],
"type": "OrderedCollection",
"id": "https://www.reddit.com/r/reddit/about/rules/",
"url": "https://www.reddit.com/r/reddit/about/rules/",
"totalItems": 4,
"orderedItems": [
{
"type": "Document",
"name": "Remember the human.",
"entityId": "Remember the human.",
"content": "Be respectful of others and check your insults at the door. Don’t attack or call out other people or communities, and assume good faith of those participating here… even when tempers are high."
}
]
}
}{
"errors": [
{
"code": "validation_error",
"message": "Validation error"
}
],
"data": null
}{
"errors": [
{
"code": "missing_api_key",
"message": "Invalid API key"
}
],
"data": null
}{
"errors": [
{
"code": "credits_exhausted",
"message": "Credits exhausted. Upgrade your plan at konbiniapi.com"
}
],
"data": null
}{
"errors": [
{
"code": "api_key_disabled",
"message": "API key is disabled"
}
],
"data": null
}{
"errors": [
{
"code": "not_found",
"message": "Not found"
}
],
"data": null
}{
"errors": [
{
"code": "validation_error",
"message": "Request body too large"
}
],
"data": null
}{
"errors": [
{
"code": "internal_error",
"message": "Internal error"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}{
"errors": [
{
"code": "service_unavailable",
"message": "Service unavailable"
}
],
"data": null
}{
"errors": [
{
"code": "platform_error",
"message": "Platform error"
}
],
"data": null
}